summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Savchenko <bircoph@gentoo.org>2016-01-16 15:36:09 +0300
committerAndrew Savchenko <bircoph@gentoo.org>2016-01-16 15:36:09 +0300
commitb58b23376de0416297be0d927973ff12e9befd6e (patch)
tree11a41fd28c6da395d8e19e1e16b677d931ba33d0 /sci-physics
parentx11-apps/copyq: Drop old (diff)
downloadgentoo-b58b23376de0416297be0d927973ff12e9befd6e.tar.gz
gentoo-b58b23376de0416297be0d927973ff12e9befd6e.tar.bz2
gentoo-b58b23376de0416297be0d927973ff12e9befd6e.zip
sci-physics/root: refuse to build with gcc-5
ROOT-6 is not yet ready for gcc-5 due to lack of ABI tags support, see bug 564306 and root issues 7285, 7319, 7654, 7721, 7818, 7895. Package-Manager: portage-2.2.26 Signed-off-by: Andrew Savchenko <bircoph@gentoo.org>
Diffstat (limited to 'sci-physics')
-rw-r--r--sci-physics/root/root-6.02.05-r2.ebuild18
-rw-r--r--sci-physics/root/root-6.04.06.ebuild17
2 files changed, 35 insertions, 0 deletions
diff --git a/sci-physics/root/root-6.02.05-r2.ebuild b/sci-physics/root/root-6.02.05-r2.ebuild
index 5bb87419d91..a410d12296b 100644
--- a/sci-physics/root/root-6.02.05-r2.ebuild
+++ b/sci-physics/root/root-6.02.05-r2.ebuild
@@ -140,6 +140,24 @@ check_compiler() {
;;
*g++*)
ver="$(gcc-version)"
+ # gcc-5 is not yet supported, bug 564306
+ if version_is_at_least "5" "${ver}"; then
+ eerror ""
+ eerror "GCC-5 is not yet supported in ROOT-6."
+ eerror "The code may build for you, but will have run-time failures."
+ eerror "See the following bugs:"
+ eerror "https://sft.its.cern.ch/jira/browse/ROOT-7285"
+ eerror "https://sft.its.cern.ch/jira/browse/ROOT-7319"
+ eerror "https://sft.its.cern.ch/jira/browse/ROOT-7654"
+ eerror "https://sft.its.cern.ch/jira/browse/ROOT-7721"
+ eerror "https://sft.its.cern.ch/jira/browse/ROOT-7818"
+ eerror "https://sft.its.cern.ch/jira/browse/ROOT-7895"
+ eerror "https://bugs.gentoo.org/show_bug.cgi?id=564306"
+ eerror ""
+ eerror "Please use GCC-4.9 for now."
+ eerror ""
+ die "gcc-5 is not yet supported"
+ fi
cur="$2"
;;
*icc*|*icpc*)
diff --git a/sci-physics/root/root-6.04.06.ebuild b/sci-physics/root/root-6.04.06.ebuild
index 093ad9ff55c..c3ef6fb100c 100644
--- a/sci-physics/root/root-6.04.06.ebuild
+++ b/sci-physics/root/root-6.04.06.ebuild
@@ -135,6 +135,23 @@ check_compiler() {
;;
*g++*)
ver="$(gcc-version)"
+ if version_is_at_least "5" "${ver}"; then
+ eerror ""
+ eerror "GCC-5 is not yet supported in ROOT-6."
+ eerror "The code may build for you, but will have run-time failures."
+ eerror "See the following bugs:"
+ eerror "https://sft.its.cern.ch/jira/browse/ROOT-7285"
+ eerror "https://sft.its.cern.ch/jira/browse/ROOT-7319"
+ eerror "https://sft.its.cern.ch/jira/browse/ROOT-7654"
+ eerror "https://sft.its.cern.ch/jira/browse/ROOT-7721"
+ eerror "https://sft.its.cern.ch/jira/browse/ROOT-7818"
+ eerror "https://sft.its.cern.ch/jira/browse/ROOT-7895"
+ eerror "https://bugs.gentoo.org/show_bug.cgi?id=564306"
+ eerror ""
+ eerror "Please use GCC-4.9 for now."
+ eerror ""
+ die "gcc-5 is not yet supported"
+ fi
cur="$2"
;;
*icc*|*icpc*)